package com.example.aped.ui.plots;

import android.os.Bundle;

import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.example.aped.MainActivity;
import com.example.aped.R;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import lecho.lib.hellocharts.model.AxisValue;
import lecho.lib.hellocharts.model.Line;
import lecho.lib.hellocharts.model.LineChartData;
import lecho.lib.hellocharts.model.PointValue;
import lecho.lib.hellocharts.view.LineChartView;

public class PlotFragment extends Fragment {

    private MainActivity mainActivity;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        View view =  inflater.inflate(R.layout.fragment_plot, container, false);
        LineChartView lineChartView =  view.findViewById(R.id.test_plot);

        String[] xAxisData = {"15:30","15:31","15:32"};
        int[] yAxisData =  {1,3,2};

        List yAxisValues = new ArrayList();
        List xAxisValues = new ArrayList();

        Line line = new Line(yAxisValues);

        for(int i = 0; i < xAxisData.length; i++){
            xAxisValues.add(i, new AxisValue(i).setLabel(xAxisData[i]));
        }

        for (int i = 0; i < yAxisData.length; i++){
            yAxisValues.add(new PointValue(i, yAxisData[i]));
        }

        List lines = new ArrayList();

        lines.add(line);

        LineChartData lineChartData = new LineChartData();
        lineChartData.setLines(lines);

        lineChartView.setLineChartData(lineChartData);

        return view;
    }
}