package com.example.aped.utils;

import java.util.List;

/**
 * Interface for managing the favorites.
 */
public interface IFAVORITES {

    /**
     * Returns the names of the favorite devices.
     * @return list of strings
     */
    List<String> getFavorites();

    /**
     * Adds a favorite to the list.
     * @param deviceName the name of the device to be added
     * @return the name of the device addition worked
     */
    String addFavorite(String deviceName);

    /**
     * Removes a device from the favorite list.
     * @param deviceName the name of the device to be removed
     * @return the name of the device if the removal worked
     */
    String removeFavorite(String deviceName);
}
